Application Development Discussions
Join the discussions or start your own on all things application development, including tools and APIs, programming models, and keeping your skills sharp.
cancel
Showing results for 
Search instead for 
Did you mean: 

Error during SAP NW 752 installation

former_member740854
Discoverer
0 Kudos
3,171

ERROR

2021-04-14 11:40:33.878 (root/sapinst) (startInstallation) [CInstallerCallBackImpl.cpp:259] id=ind-rel.ind-os.ind-db.assertionFailed errno=CJS-00030 CInstallerCallBackImpl::abortInstallation()
Assertion failed: Unable to generate a new password for database login 'sa'. Refer to trace file sapinst_dev.log for further information.

8 REPLIES 8

joltdx
Active Contributor
0 Kudos
463

Did you refer to trace file sapinst_dev.log for further information?

As it's about password. Could it be that the password you chose did not meet the complexity criteria for the database?

abo
Active Contributor
463

jorgen_lindqvist41 there is a duplicate question now where it is stated that this is the DEV edition, where the passwords are all preset to... "password" 🙂

I suggest we continue there.

keltze_ar2
Explorer
0 Kudos
463

Hi, I try install it, but I have the same error. Not work for me. What else could I do?

former_member607056
Discoverer
0 Kudos
463

Thank you Robert for sharing. After replace the license as your instruction,my installation has worked now and SAP NW 752 has successfully installed. Several installation attempt previously always have this error. Two Thumbs for you.

Best Regards,

Liyana

richard_gray
Explorer
0 Kudos
463

I downloaded the trial last week and tried to install Friday. I can't seem to find the error after another attempt at installing today.

Unable to generate a new password for database login 'sa'.

Seems to be the crux of my current problem, and if I read this right, the problem is the license file from PART License. Since that file is now a year old (21-Feb-2021), I presume it's expired? Where does one get the new version to update

/sybase/NPL/SYSAM-2_0/licenses/SYBASE_ASE_TestDrive.lic

?? As this is happening at install time, I presume this has nothing to do with the license file that gets updated by SLICENSE?


Former Member
0 Kudos
463

Hi richard.gray,

the license in that file is valid until 31.03.2023.

And yes. SLICENSE is for ABAP NetWeaver. This one is for the ASE DB.

silvester
Member
0 Kudos
463

Hi Richard,

I am facing the same error message during installation (using Linux OpenSuse on Oracle VM) and I have tried to follow your instruction. The path /sybase/NPL... is not yet existing on my installation after cancellation and therefore I am a bit confused on where to replace this license file. My assumption was with downloading all the packages of ABAP Developer edition including the license, unpacking and installing it contains all needed and should just work with the license as provided. Maybe you can give further advice.Thanks in advance.

gernot_dewes
Discoverer
0 Kudos
463

Hi all,

I have got the same issue for a while.

Therefore I downloaded the whole package again and tried it newly. Same result.

Is there any advice on how this can be avoided?

Does the licence not match to the sources?